Version 1.5.9 - Plugins Interface

The latest news about Gargoyle

Moderator: Moderators

miesnieks
Posts: 4
Joined: Wed Feb 13, 2013 3:02 pm

Re: Version 1.5.9 - Plugins Interface

Post by miesnieks »

I have upgraded my TP-Link TL-WR1043N/ND v1 router from Gargoyle 1.5.6 to 1.5.9 but now my HP laserjet1020 doesn't work;

In early version this worked:
opkg update
opkg install kmod-usb-printer p910nd
/etc/init.d/p910nd start
/etc/init.d/p910nd enable
wget -O /usr/lib/sihp1020.dl http://oleg.wl500g.info/hplj/sihp1020.dl

then at
vi /etc/hotplug.d/usb/20-hplj1020
I added

#!/bin/sh
set -e
# change this to the location where you put the .dl file:

FIRMWARE="/usr/lib/sihp1020.dl"

DEVICE=/dev/lp0
LOGFILE=/var/log/hp

if [ "$PRODUCT" = "3f0/2b17/100" -a "$ACTION" = "add" ]; then
for i in $(seq 30); do
if [ -c $DEVICE ]; then
echo "$(date) : Sending firmware to printer…" > $LOGFILE
cat $FIRMWARE > $DEVICE
echo "$(date) : done." » $LOGFILE
exit
fi
sleep 1
done
fi

/////////////////////// OR THIS CODE ///////////////



#!/bin/sh
set -e

FIRMWARE="/usr/lib/sihp1020.dl"
DEVICE=/dev/lp0
LOGFILE=/var/log/hp

if [ "$PRODUCT" = "3f0/2b17/100" -a "$ACTION" = "add" -a "$DEVTYPE" = "usb_interface" ]; then
echo "$(date): STARTING" > $LOGFILE
for i in $(seq 30); do
echo "$(date): Attempt number $i on $DEVICE" » $LOGFILE
if [ -c $DEVICE ]; then
echo "$(date): Device $DEVICE found." » $LOGFILE
if [ -z "`usb_printerid $DEVICE | grep FWVER`" ]; then
echo "$(date): No firmware found on $DEVICE" » $LOGFILE
echo "$(date): Sending firmware to printer…" » $LOGFILE
cat $FIRMWARE > $DEVICE
echo "$(date): done." » $LOGFILE
else
echo "$(date): Firmware already there on $DEVICE" » $LOGFILE
fi
echo "$(date): EXITING" » $LOGFILE
exit
fi
sleep 1
done
fi

What is changed in version 1.5.9 and how to get my printer back to work?

Cezary
Posts: 133
Joined: Thu Sep 11, 2008 12:57 pm
Location: Poland
Contact:

Re: Version 1.5.9 - Plugins Interface

Post by Cezary »

/dev/usb/lp0 not /dev/lp0

yc3948
Posts: 164
Joined: Sat Sep 10, 2011 1:04 am

Re: Version 1.5.9 - Plugins Interface

Post by yc3948 »

Hi, Cezary
I have problem with my WR1043ND 1.5.9, could you help?
When I use OpenVPN Connect(https://play.google.com/store/apps/deta ... pn.openvpn) connect to openvpn server"WR1043ND 1.5.9" I receive error "Tun interface setup failed: tun_builder_error: ifconfig addresses are not in the same /30 subnet (topology net30)"

Thanks

YC3948


Cezary wrote:/dev/usb/lp0 not /dev/lp0
Buffalo WZR-HP-G300NH2 DD-WRT v24SP2-MULTI (10/31/11) std
Buffalo WZR-HP-G300NH Gargoyle 1.5.9+1f082daf
Linksys WRT54GL Gargoyle 1.4.4
TP-Link TL-WR1043ND Gargoyle 1.5.9+1f082daf

Cezary
Posts: 133
Joined: Thu Sep 11, 2008 12:57 pm
Location: Poland
Contact:

Re: Version 1.5.9 - Plugins Interface

Post by Cezary »

See: http://eko.one.pl/forum/viewtopic.php?id=5413

(add push "topology subnet")

yc3948
Posts: 164
Joined: Sat Sep 10, 2011 1:04 am

Re: Version 1.5.9 - Plugins Interface

Post by yc3948 »

Cezary wrote:See: http://eko.one.pl/forum/viewtopic.php?id=5413

(add push "topology subnet")

Thanks I will try this
Buffalo WZR-HP-G300NH2 DD-WRT v24SP2-MULTI (10/31/11) std
Buffalo WZR-HP-G300NH Gargoyle 1.5.9+1f082daf
Linksys WRT54GL Gargoyle 1.4.4
TP-Link TL-WR1043ND Gargoyle 1.5.9+1f082daf

miesnieks
Posts: 4
Joined: Wed Feb 13, 2013 3:02 pm

Re: Version 1.5.9 - Plugins Interface

Post by miesnieks »

I have changed /dev/lp0 to /dev/usb/lp0
but Firmware isn't sent to printer!
What else could be wrong? On gargoyle 1.5.6 all was working correctly

Code: Select all

#!/bin/sh 
set -e
FIRMWARE="/usr/lib/sihp1020.dl"
DEVICE=/dev/usb/lp0
LOGFILE=/var/log/hp
if [ "$PRODUCT" = "3f0/2b17/100" -a "$ACTION" = "add" ]; then
for i in $(seq 30); do
if [ -c $DEVICE ]; then
echo "$(date) : Sending firmware to printer…" > $LOGFILE
cat $FIRMWARE > $DEVICE
 echo "$(date) : done." » $LOGFILE
 exit
fi
 sleep 1
done
fi

yc3948
Posts: 164
Joined: Sat Sep 10, 2011 1:04 am

Re: Version 1.5.9 - Plugins Interface

Post by yc3948 »

Not working... still show "Tun interface setup failed: tun_builder_error: ifconfig addresses are not in the same /30 subnet (topology net30)"

Cezary wrote:See: http://eko.one.pl/forum/viewtopic.php?id=5413

(add push "topology subnet")
Buffalo WZR-HP-G300NH2 DD-WRT v24SP2-MULTI (10/31/11) std
Buffalo WZR-HP-G300NH Gargoyle 1.5.9+1f082daf
Linksys WRT54GL Gargoyle 1.4.4
TP-Link TL-WR1043ND Gargoyle 1.5.9+1f082daf

ispyisail
Moderator
Posts: 4809
Joined: Mon Apr 06, 2009 3:15 am
Location: New Zealand

Re: Version 1.5.9 - Plugins Interface

Post by ispyisail »


GoUser
Posts: 26
Joined: Tue Sep 06, 2011 2:05 pm

Re: Version 1.5.9 - Plugins Interface

Post by GoUser »

Dir-825 and tl-wr941nd with 1.5.9, both unstable sometimes (sometimes wifi drops, sometimes all network drops and when I try to restart with /etc/init.d/network restart it starts to work after few attempts (access to internet from router works, but from clients not always)). Reboot usually helps.
TP-LINK TL-WR841ND v5 - Gargoyle 1.4.7
TP-LINK TL-WR841ND v7 - Original firmware
TP-LINK TL-WR941ND - Gargoyle 1.4.7
D-LINK DIR-825 b1 - Gargoyle 1.4.7

ispyisail
Moderator
Posts: 4809
Joined: Mon Apr 06, 2009 3:15 am
Location: New Zealand

Re: Version 1.5.9 - Plugins Interface

Post by ispyisail »


Post Reply